# Example test: Introduction to programming - PriceWatch

## A few tips to get you started
- Most important: Read the assignment carefully!
- Start with structuring your program. For example, by only typing code comments, just like you’ve learned in the problem solving part.
- Try to start small, with a small problem that you can solve.
- Use methods where you think that might be a good idea. At least when it enables to reuse code.
- Run your program often to test it! Not only in the end.
- Remember to apply what you’ve learned about good code practices. For example: good variable names and methods use.
- The csv file can be opened by just doing new CsvReader(“pricewatch.csv”);. No additional path is needed.
- If you’re stuck, try to do a workaround. For example, when you don’t know how to read the CSV files, then create a few prices manually.

## Pricewatch
The SmartWorld company creates mobile phones and keep a pricewatch. In this case it is about 1 phone type. Per day they keep the price and the popularity of the phone at that certain day. The daynumber is just a sequence number (starting with 1) and every time a day is added that number must be increased.

The input is in the csv file pricewatch.csv. This file contains the data for one phone for about two months (58 days). The day number must be the line number.

We describe the program based on every menu item. Your output must match the screenshots.

![scherm 1](resources/price_screen1.png)

Please note: In the beginning there are 58 days. These will be read from the file pricewatch.csv when you start the program. Skip the first line!

When the user starts the app, a menu is presented. This menu gives the following options and functionality:

### Option 1: Show list of prices
Show the list of all prices. The screenshot online shows the last entries.

![scherm 2](resources/price_screen2.png)

### Option 2: Input new price for date
Add a new item. There will be asked for the price and popularity. The price is a double and the popularity an int. Check if the price is higher than 0 and that the popularity is an int between 1 and 5. If that’s not the case, show and error and ask again until it is ok.

![scherm 3](resources/price_screen3.png)

### Option 3: Current price
Show the current price (which is the last entered).

![scherm 4](resources/price_screen4.png)

### Option 4: Average price
Show the average price.

![scherm 5](resources/price_screen5.png)

### Option 5: Show prices for popularity
This menu option shows all prices for a certain popularity. Ask the user to fill in a popularity and show all prices with this popularity.

![scherm 6](resources/price_screen6.png)

### Option 6: Show trend
This menu option shows a trend graph with the following properties:
- The Y-axis shows the prices. The axis has a height of 500 pixels. The labels will be on every 100 pixels.
- The X-axis show the days. For every day there will be a vertical line (so this depends on the number of items). Every 5 of these lines has a label with the daynumber.
- The squares will be shown on the correct position. The color of the squares is as follows:
 
  - Green: Popularity of 4
  - Yellow: Popularity of 3
  - Orange: Popularity of 2
  - Red: Popularity of 1
- The size of the squares is 10x10 pixels. 

![scherm 7](resources/price_screen7.png)
 
